Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text.resources
Class LocaleData

    java.lang.Object
      |
      +--java.text.resources.LocaleData

public class LocaleData
extends Object

This class used to be the base class for all of the LocaleElements classes. This has been changed so that all of the LocaleElements classes descend from ListResourceBundle. This class now exists only to allow a way to get the list of available resources. Even this will be changing in the future.

Constructor Summary
`LocaleData()`

Method Summary
`static Locale[]` | `getAvailableLocales(String key)` Returns a list of the installed locales.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleData

    public LocaleData()

Method Detail

### getAvailableLocales

    public static Locale[] getAvailableLocales(String key)

  Returns a list of the installed locales.
  Parameters:
    `key` - A resource tag. Currently, this parameter is ignored. The obvious intent, however, is for getAvailableLocales() to return a list of only those locales that contain a resource with the specified resource tag.

    Before we implement this function this way, however, some thought should be given to whether this is really the right thing to do. Because of the lookup algorithm, a NumberFormat, for example, is "installed" for all locales. But if we're trying to put up a list of NumberFormats to choose from, we may want to see only a list of those locales that uniquely define a NumberFormat rather than inheriting one from another locale. Thus, if fr and fr_CA uniquely define NumberFormat data, but fr_BE doesn't, the user wouldn't see "French (Belgium)" in the list and would go for "French (default)" instead. Of course, this means "English (United States)" would not be in the list, since it is the default locale. This might be okay, but might be confusing to some users.

    In addition, the other functions that call getAvailableLocales() don't currently all pass the right thing for "key," meaning that all of these functions should be looked at before anything is done to this function.

    We recommend that someone take some careful consideration of these issues before modifying this function to pay attention to the "key" parameter. --rtg 1/26/98

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >